Page MenuHomePhabricator

Regression on production: 'Cancel' for Nested Replies (>two levels) broken
Closed, ResolvedPublic

Description

  1. In betalabs create two level Replies.
  2. Then click on the upper Reply to go to the third level, e.g. 'Reply' link under 9:27 was clicked.

  1. Click 'Cancel'(or hit Esc) - the editor area container will become blank - no editing icons:

  • The editor area gets stuck - the buttons do nothing. Only reloading the page dismisses it.
  • nothing is displayed in Console
  • Repeated attempts to Reply for the level 3 nested replies will bring empty editing areas along with correctly displayed editing area.

Something like this:

UPDATED: This bug can actually be seen on Mediawiki.org now.

Event Timeline

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2015, 6:38 PM
Etonkovidova updated the task description. (Show Details)Aug 20 2015, 6:44 PM
Etonkovidova set Security to None.
DannyH renamed this task from [betalabs] Regression: 'Cancel' for Nested Replies(>two levels) broken to Regression on production: 'Cancel' for Nested Replies (>two levels) broken.Aug 20 2015, 8:27 PM
DannyH updated the task description. (Show Details)
DannyH triaged this task as Unbreak Now! priority.

Change 232881 had a related patch set uploaded (by Catrope):
Don't open two editors when clicking a nested reply link

https://gerrit.wikimedia.org/r/232881

Change 232881 merged by jenkins-bot:
Don't open two editors when clicking a nested reply link

https://gerrit.wikimedia.org/r/232881

Checked in betalabs - all is fixed for 8 level of nesting; no new issues have been found.

DannyH closed this task as Resolved.Aug 24 2015, 8:39 PM
DannyH added a subscriber: DannyH.

If this is the same error that happens when you click 'Reply' on 'Has this stuff been fixed' at https://en.wikipedia.org/wiki/Wikipedia_talk:WikiProject_Breakfast , it's quite disruptive in practice.

I think this should be cherry-picked.

Change 233650 had a related patch set uploaded (by Mattflaschen):
Don't open two editors when clicking a nested reply link

https://gerrit.wikimedia.org/r/233650

Change 233650 merged by jenkins-bot:
Don't open two editors when clicking a nested reply link

https://gerrit.wikimedia.org/r/233650

DannyH closed this task as Resolved.Aug 26 2015, 5:33 PM